SectionElementData Class

class NXOpen.SectionElementData

Bases: NXOpen.TransientObject

Represents section element data

New in version NX3.0.0.

Methods

Method Description
Dispose Free resources associated with the instance.
GetSectionElementData Gets the element that constructs the section
GetSectionElementData1 Gets the element that constructs the section

Method Detail

Dispose

SectionElementData.Dispose

Free resources associated with the instance.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Signature Dispose()

New in version NX3.0.0.

License requirements: None.

GetSectionElementData

SectionElementData.GetSectionElementData

Gets the element that constructs the section

Signature GetSectionElementData()

Returns:a tuple
Return type:A tuple consisting of (sectionElement, startConnector, startPoint, endConnector, endPoint). sectionElement is a NXOpen.ICurve. The element that constructs the section startConnector is a NXOpen.ICurve. The element that is connected to the section_element, at the start_point startPoint is a NXOpen.Point3d. Start pointendConnector is a NXOpen.ICurve. The element that is connected to the section_element, at the end_pointendPoint is a NXOpen.Point3d. End Point

New in version NX3.0.0.

Deprecated since version NX8.0.0: Use SectionElementData.GetSectionElementData1() instead.

License requirements: gateway (“UG GATEWAY”)

GetSectionElementData1

SectionElementData.GetSectionElementData1

Gets the element that constructs the section

Signature GetSectionElementData1()

Returns:a tuple
Return type:A tuple consisting of (sectionElement, startConnector, startPoint, endConnector, endPoint). sectionElement is a NXOpen.DisplayableObject. The element that constructs the section - this can be curve or point. startConnector is a NXOpen.DisplayableObject. The element that is connected to the section_element, at the start_point - this can be curve or point startPoint is a NXOpen.Point3d. Start pointendConnector is a NXOpen.DisplayableObject. The element that is connected to the section_element, at the end_point - this can be curve or pointendPoint is a NXOpen.Point3d. End Point

New in version NX8.0.0.

License requirements: gateway (“UG GATEWAY”)